Skip to navigation

Retrieve a Card

Return the details of a specific Card. If the Card status is IN_PROGRESS, only the cardId, the accountId, and the status fields will be returned.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Path parameters

cardIdstringRequired<=19 characters
A unique ID that is created for the Card.

Response headers

Content-TypestringOptional

application/json

Request-IdstringOptional
The unique ID for the API request.

Response

Successful operation
cardIdstring<=19 characters
A unique ID that is created for the Card.
accountIdstring<=36 characters
The ID of the Account being used to fund the Card.
spendControlsobject

The Spend Control object determines how, when, and where on-demand cards can be authorized.

cardDetailsobject
The details of the Card being retrieved.
deliveryMethodenum
The method of delivery that is used for the response.
Allowed values:
cardUserIdstringOptional<=38 characters
The ID of the Card User associated with the Card.
reloadablebooleanOptional
Indicates whether the Card can be reloaded with a new Spend Control object after the original Spend Control either expires or is fully utilized.
reconciliationFieldobjectOptional
The information collected for reconciliation.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error